package cn.com.tenlion.configcontent.service.contentscans;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import cn.com.tenlion.configcontent.pojo.dtos.contentscans.ContentScansDTO;
import cn.com.tenlion.configcontent.pojo.vos.contentscans.ContentScansVO;
import cn.com.tenlion.configcontent.pojo.bos.contentscans.ContentScansBO;
import cn.com.tenlion.configcontent.pojo.pos.contentscans.ContentScansPO;
import ink.wgink.util.date.DateUtil;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IContentScansService
 * @Description: CBC内容管理查看记录表
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:42:41
 * @Version: 3.0
 **/
public interface IContentScansService {

    /**
     * 更新查看时间
     *
     * @param contentScansId
     * @param gmtCreate
     * @return
     */
    void updateGmtCreate(String contentScansId, String gmtCreate);

    /**
     * 新增CBC内容管理查看记录表
     *
     * @param contentScansVO
     * @return
     */
    void save(ContentScansVO contentScansVO);

    /**
     * 新增CBC内容管理查看记录表
     *
     * @param token
     * @param contentScansVO
     * @return
     */
    void save(String token, ContentScansVO contentScansVO);

    /**
     * 新增CBC内容管理查看记录表
     *
     * @param contentScansVO
     * @return contentScansId
     */
    String saveReturnId(ContentScansVO contentScansVO);

    /**
     * 新增CBC内容管理查看记录表
     *
     * @param token
     * @param contentScansVO
     * @return contentScansId
     */
    String saveReturnId(String token, ContentScansVO contentScansVO);

    /**
     * 删除CBC内容管理查看记录表
     *
     * @param ids id列表
     * @return
     */
    void remove(List<String> ids);


    /**
     * 删除CBC内容管理查看记录表
     *
     * @param token
     * @param ids id列表
     * @return
     */
    void remove(String token, List<String> ids);

    /**
     * 删除CBC内容管理查看记录表（物理删除）
     *
     * @param ids id列表
     */
    void delete(List<String> ids);

    /**
     * 修改CBC内容管理查看记录表
     *
     * @param contentScansId
     * @param contentScansVO
     * @return
     */
    void update(String contentScansId, ContentScansVO contentScansVO);

    /**
     * 修改CBC内容管理查看记录表
     *
     * @param token
     * @param contentScansId
     * @param contentScansVO
     * @return
     */
    void update(String token, String contentScansId, ContentScansVO contentScansVO);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentScansDTO get(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param contentScansId
     * @return
     */
    ContentScansDTO get(String contentScansId);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentScansBO getBO(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param contentScansId
     * @return
     */
    ContentScansBO getBO(String contentScansId);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param params 参数Map
     * @return
     */
    ContentScansPO getPO(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表详情
     *
     * @param contentScansId
     * @return
     */
    ContentScansPO getPO(String contentScansId);

    /**
     * CBC内容管理查看记录表列表
     *
     * @param params
     * @return
     */
    List<ContentScansDTO> list(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表列表
     *
     * @param params
     * @return
     */
    List<ContentScansBO> listBO(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表列表
     *
     * @param params
     * @return
     */
    List<ContentScansPO> listPO(Map<String, Object> params);

    /**
     * CBC内容管理查看记录表分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<ContentScansDTO>> listPage(ListPage page);

    /**
     * CBC内容管理查看记录表统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}